fragment RequestModelRes on RequestModel {
    id
    createdAt
    userId
    amount
    type
    status
    meta
}

query RequestsList($input: ListOptions!) {
    requestsList(in: $input) {
        ...RequestModelRes
    }
}

query RequestsGet($input: ID!) {
    requestsGet(in: $input) {
        ...RequestModelRes
    }
}

query RequestsCount {
    requestsCount
}

mutation RequestsCreate($input: RequestModelInput!) {
    requestsCreate(in: $input) {
        ...RequestModelRes
    }
}

mutation RequestsUpdate($input: RequestModelInput!) {
    requestsUpdate(in: $input) {
        ...RequestModelRes
    }
}

mutation RequestsChangeStatus($input: RequestModelInput!) {
    requestsChangeStatus(in: $input)
}

